using GMCabsDriverAssistantSolution.ViewModels;

namespace GMCabsDriverAssistantSolution.Views;

public partial class LoginPage : ContentPage
{
    #region Fields
    private readonly LoginViewModel _viewModel;
    #endregion

    #region Properties
    #endregion

    #region Constructor
    public LoginPage()
    {
        InitializeComponent();
        BindingContext = _viewModel = new LoginViewModel(this);
    }
    #endregion

    #region Methods
    protected async override void OnAppearing()
    {
        base.OnAppearing();
        _viewModel.LoadDetails();
        var status = await Permissions.CheckStatusAsync<Permissions.LocationAlways>();

    }
    #endregion
}